summaryrefslogtreecommitdiff
path: root/bin/pull_all
diff options
context:
space:
mode:
Diffstat (limited to 'bin/pull_all')
-rwxr-xr-xbin/pull_all12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/pull_all b/bin/pull_all
new file mode 100755
index 0000000..662d792
--- /dev/null
+++ b/bin/pull_all
@@ -0,0 +1,12 @@
+#!/bin/sh
+for repo in ./*/; do
+ (
+ cd "$repo" || exit
+ git pull
+ cd -
+ ) > /dev/null 2<&1 &
+done
+
+wait
+
+echo "done"